<?php

/**
 * @file
 * Lists available colors and color schemes for the Demo Framework Admin theme.
 */

$info = [
  // Available colors and color labels used in theme.
  'fields' => [
    'headerbg' => t('Header background'),
    'pagetitle' => t('Page Title'),
    'tabsactive' => t('Tabs (Active Tab)'),
    'tabs' => t('Tabs'),
    'breadcrumbbg' => t('Breadcrumb background'),
    'breadcrumb' => t('Breadcrumb'),
    'breadcrumbtitle' => t('Breadcrumb Title'),
    'base' => t('Body background (base)'),
    'link' => t('Link'),
    'text' => t('Body foreground (text)'),
    'button' => t('Button'),
    'buttontext' => t('Button text'),
    'buttonhover' => t('Button hover'),
    'buttonhovertext' => t('Button hover text'),
    'buttonaction' => t('Button Action'),
    'buttonactiontext' => t('Button Action text'),
    'buttonactionhover' => t('Button Action hover'),
    'buttonactionhovertext' => t('Button Action hover text'),
  ],
  'color_placeholders' => [
    'base' => 'body-bg',
    'link' => 'primary',
    'text' => 'body-color',
    'headerbg' => 'header-bg',
    'pagetitle' => 'page-title',
    'tabs' => 'tabs',
    'tabsactive' => 'tabs-active',
    'breadcrumbbg' => 'breadcrumb-bg',
    'breadcrumb' => 'breadcrumb',
    'breadcrumbtitle' => 'breadcrumb-title',
    'button' => 'button',
    'buttontext' => 'button-text',
    'buttonhover' => 'button-hover',
    'buttonhovertext' => 'button-hover-text',
    'buttonaction' => 'button-action',
    'buttonactiontext' => 'button-action-text',
    'buttonactionhover' => 'button-action-hover',
    'buttonactionhovertext' => 'button-action-hover-text',

  ],
  // Pre-defined color schemes.
  'schemes' => [
    'default' => [
      'title' => t('Acquia (default)'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#168ec4',
        'text' => '#1f1f1f',
        'headerbg' => '#0e68a7',
        'pagetitle' => '#ffffff',
        'tabs' => '#cccccc',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#168ec4',
        'breadcrumb' => '#cccccc',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',

      ],
    ],
    'a_obio' => [
      'title' => t('Obio'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#2c58af',
        'text' => '#1f1f1f',
        'headerbg' => '#2c58af',
        'pagetitle' => '#ffffff',
        'tabs' => '#f2f2fa',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#3366cc',
        'breadcrumb' => '#f2f2fa',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'a_obio_brown' => [
      'title' => t('Obio Brown'),
      'colors' => [
        'base' => '#f2f2fa',
        'link' => '#cb7f34',
        'text' => '#0a0a0a',
        'headerbg' => '#945d26',
        'pagetitle' => '#ffffff',
        'tabs' => '#f9eee4',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#cb7f34',
        'breadcrumb' => '#f9eee4',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'a_obio_showroom' => [
      'title' => t('Obio Boston Showroom'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#009688',
        'text' => '#0a0a0a',
        'headerbg' => '#00796B',
        'pagetitle' => '#ffffff',
        'tabs' => '#f6fbfb',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#009688',
        'breadcrumb' => '#f6fbfb',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_amber' => [
      'title' => t('Materialize Amber'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#ffca28',
        'text' => '#1f1f1f',
        'headerbg' => '#ffb300',
        'pagetitle' => '#ffffff',
        'tabs' => '#ffecb3',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#ffca28',
        'breadcrumb' => '#ffecb3',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_blue' => [
      'title' => t('Materialize Blue'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#42a5f5',
        'text' => '#1f1f1f',
        'headerbg' => '#1e88e5',
        'pagetitle' => '#ffffff',
        'tabs' => '#bbdefb',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#42a5f5',
        'breadcrumb' => '#bbdefb',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_blue_grey' => [
      'title' => t('Materialize Blue - Blue Grey'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#78909c',
        'text' => '#1f1f1f',
        'headerbg' => '#546e7a',
        'pagetitle' => '#ffffff',
        'tabs' => '#cfd8dc',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#78909c',
        'breadcrumb' => '#cfd8dc',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_light_blue' => [
      'title' => t('Materialize Blue - Light Blue'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#29b6f6',
        'text' => '#1f1f1f',
        'headerbg' => '#039be5',
        'pagetitle' => '#ffffff',
        'tabs' => '#b3e5fc',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#29b6f6',
        'breadcrumb' => '#b3e5fc',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_brown' => [
      'title' => t('Materialize - Brown'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#8d6e63',
        'text' => '#1f1f1f',
        'headerbg' => '#6d4c41',
        'pagetitle' => '#ffffff',
        'tabs' => '#efebe9',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#8d6e63',
        'breadcrumb' => '#efebe9',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_cyan' => [
      'title' => t('Materialize - Cyan'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#26c6da',
        'text' => '#1f1f1f',
        'headerbg' => '#00acc1',
        'pagetitle' => '#ffffff',
        'tabs' => '#b2ebf2',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#26c6da',
        'breadcrumb' => '#b2ebf2',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_green' => [
      'title' => t('Materialize - Green'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#66bb6a',
        'text' => '#1f1f1f',
        'headerbg' => '#43a047',
        'pagetitle' => '#ffffff',
        'tabs' => '#c8e6c9',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#66bb6a',
        'breadcrumb' => '#c8e6c9',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_light_green' => [
      'title' => t('Materialize Green - Light Green'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#9ccc65',
        'text' => '#1f1f1f',
        'headerbg' => '#7cb342',
        'pagetitle' => '#ffffff',
        'tabs' => '#dcedc8',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#9ccc65',
        'breadcrumb' => '#dcedc8',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_grey' => [
      'title' => t('Materialize Grey'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#bdbdbd',
        'text' => '#1f1f1f',
        'headerbg' => '#757575',
        'pagetitle' => '#ffffff',
        'tabs' => '#f5f5f5',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#bdbdbd',
        'breadcrumb' => '#f5f5f5',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_indigo' => [
      'title' => t('Materialize Indigo'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#5c6bc0',
        'text' => '#1f1f1f',
        'headerbg' => '#3949ab',
        'pagetitle' => '#ffffff',
        'tabs' => '#c5cae9',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#5c6bc0',
        'breadcrumb' => '#c5cae9',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_lime' => [
      'title' => t('Materialize Lime'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#d4e157',
        'text' => '#1f1f1f',
        'headerbg' => '#c0ca33',
        'pagetitle' => '#ffffff',
        'tabs' => '#f0f4c3',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#d4e157',
        'breadcrumb' => '#f0f4c3',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_orange' => [
      'title' => t('Materialize Orange'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#ffa726',
        'text' => '#1f1f1f',
        'headerbg' => '#fb8c00',
        'pagetitle' => '#ffffff',
        'tabs' => '#ffe0b2',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#ffa726',
        'breadcrumb' => '#ffe0b2',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_deep_orange' => [
      'title' => t('Materialize Orange - Deep Orange'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#ff7043',
        'text' => '#1f1f1f',
        'headerbg' => '#f4511e',
        'pagetitle' => '#ffffff',
        'tabs' => '#ffccbc',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#ff7043',
        'breadcrumb' => '#ffccbc',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_pink' => [
      'title' => t('Materialize Pink'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#f8bbd0',
        'text' => '#1f1f1f',
        'headerbg' => '#d81b60',
        'pagetitle' => '#ffffff',
        'tabs' => '#f8bbd0',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#ec407a',
        'breadcrumb' => '#f8bbd0',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_purple' => [
      'title' => t('Materialize Purple'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#ab47bc',
        'text' => '#1f1f1f',
        'headerbg' => '#8e24aa',
        'pagetitle' => '#ffffff',
        'tabs' => '#e1bee7',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#ab47bc',
        'breadcrumb' => '#e1bee7',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_deep_purple' => [
      'title' => t('Materialize Purple - Deep Purple'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#7e57c2',
        'text' => '#1f1f1f',
        'headerbg' => '#5e35b1',
        'pagetitle' => '#ffffff',
        'tabs' => '#d1c4e9',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#7e57c2',
        'breadcrumb' => '#d1c4e9',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_red' => [
      'title' => t('Materialize Red'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#ef5350',
        'text' => '#1f1f1f',
        'headerbg' => '#e53935',
        'pagetitle' => '#ffffff',
        'tabs' => '#ffcdd2',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#ef5350',
        'breadcrumb' => '#ffcdd2',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_teal' => [
      'title' => t('Materialize Teal'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#26a69a',
        'text' => '#1f1f1f',
        'headerbg' => '#00897b',
        'pagetitle' => '#ffffff',
        'tabs' => '#b2dfdb',
        'tabsactive' => '#ffffff',
        'breadcrumbbg' => '#26a69a',
        'breadcrumb' => '#b2dfdb',
        'breadcrumbtitle' => '#ffffff',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
    'm_yellow' => [
      'title' => t('Materialize Yellow'),
      'colors' => [
        'base' => '#ffffff',
        'link' => '#ffee58',
        'text' => '#1f1f1f',
        'headerbg' => '#fdd835',
        'pagetitle' => '#222',
        'tabs' => '#222',
        'tabsactive' => '#777',
        'breadcrumbbg' => '#ffee58',
        'breadcrumb' => '#777',
        'breadcrumbtitle' => '#222',
        'button' => '#009688',
        'buttontext' => '#ffffff',
        'buttonhover' => '#00b09f',
        'buttonhovertext' => '#ffffff',
        'buttonaction' => '#ee6e73',
        'buttonactiontext' => '#ffffff',
        'buttonactionhover' => '#f18589',
        'buttonactionhovertext' => '#ffffff',
      ],
    ],
  ],

  // CSS files (excluding CSS @imports) to rewrite with new color scheme.
  'css' => [
    'css/dfs_admin_colors.css',
  ],


  // //Preview files.
  'preview_library' => 'dfs_admin/color.preview',
  'preview_html' => 'color/preview.html',

  // Attachments.
  '#attached' => [
    'drupalSettings' => [
      'color' => [
        // Put the logo path into JavaScript for the live preview.
        'logo' => theme_get_setting('logo.url', 'dfs_admin'),
      ],
    ],
  ],
];
